PS_BEGIN_TEMPLATE(3)

      uwe@steinmann.cx
UWE STEINMANN 2003-2011Uwe SteinmannMarch 28, 2011;

NAME
PS_begin_template — Starts a new template

SYNOPSIS

#include <pslib.h>

int PS_begin_template(PSDoc *psdoc, float width, float height)

DESCRIPTION

Starts a new template which must be ended by
          PS_end_template(3). Templates are similar to
            macros which can be placed on a page like images. Within a template one
            can call any drawing function. Once a template has been ended by
            PS_end_template(3) it can be placed on a page
            by PS_place_image(3). Templates are commonly
            used for repeating objects like page headers in order to minimize
            the document size.

If image reuse is not turned off (since version 0.4.5 of pslib
    it is always turned on), PS_place_image(3)     may also be called within a template in order to include eps or
            raster images.

RETURN VALUE

Returns an id for referencing the template.

SEE ALSO

PS_end_template(3), PS_place_image(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.